grk::TileSet Class Reference

`#include <TileSet.h>`

## Public Member Functions

| TileSet ()
virtual | ~TileSet ()=default
uint16_t | numScheduled (void)
void | init (grk_rect16 allTiles)
void | schedule (grk_rect16 tiles)
void | schedule (grk_pt16 tile)
void | schedule (uint16_t tileIndex)
bool | isScheduled (uint16_t tileIndex)
bool | isScheduled (grk_pt16 tile)
void | setComplete (uint16_t tileIndex)
bool | isComplete (uint16_t tileIndex)
bool | allComplete (void)
uint16_t | getSingle (void)

## Private Member Functions

uint16_t | index (uint16_t x, uint16_t y)
uint16_t | index (grk_pt16 tile)

## Private Attributes

std::set< uint16_t > | tilesToDecompress_
std::set< uint16_t > | tilesDecompressed_
grk_rect16 | allTiles_
uint16_t | lastTileToDecompress_

## Constructor & Destructor Documentation

## TileSet()

grk::TileSet::TileSet | ( |  | ) |

## ~TileSet()

virtual grk::TileSet::~TileSet | ( |  | ) |

virtual default

## Member Function Documentation

## allComplete()

bool grk::TileSet::allComplete | ( | void |  | ) |

References tilesDecompressed_, and tilesToDecompress_.

Referenced by grk::CodeStreamDecompress::decompressTiles().

## getSingle()

uint16_t grk::TileSet::getSingle | ( | void |  | ) |

References tilesToDecompress_.

Referenced by grk::CodeStreamDecompress::decompressTile().

## index() [1/2]

uint16_t grk::TileSet::index | ( | grk_pt16 | tile | ) |

private

References allTiles_, grk::grk_read(), grk::grk_rect< T >::width(), grk::grk_pt< T >::x, and grk::grk_pt< T >::y.

## index() [2/2]

uint16_t grk::TileSet::index | ( | uint16_t | x,
|  | uint16_t | y
| ) |  |

private

References allTiles_, grk::grk_read(), and grk::grk_rect< T >::width().

Referenced by isScheduled(), and schedule().

## init()

void grk::TileSet::init | ( | grk_rect16 | allTiles | ) |

References allTiles_, grk::grk_read(), and schedule().

## isComplete()

bool grk::TileSet::isComplete | ( | uint16_t | tileIndex | ) |

References tilesDecompressed_.

Referenced by grk::CodeStreamDecompress::parseTileParts().

## isScheduled() [1/2]

bool grk::TileSet::isScheduled | ( | grk_pt16 | tile | ) |

References index(), and isScheduled().

## isScheduled() [2/2]

bool grk::TileSet::isScheduled | ( | uint16_t | tileIndex | ) |

References tilesToDecompress_.

Referenced by isScheduled(), grk::CodeStreamDecompress::parseTileParts(), and setComplete().

## numScheduled()

uint16_t grk::TileSet::numScheduled | ( | void |  | ) |

References grk::grk_read(), and tilesToDecompress_.

Referenced by grk::CodeStreamDecompress::decompressTile().

## schedule() [1/3]

void grk::TileSet::schedule | ( | grk_pt16 | tile | ) |

References index(), schedule(), grk::grk_pt< T >::x, and grk::grk_pt< T >::y.

## schedule() [2/3]

void grk::TileSet::schedule | ( | grk_rect16 | tiles | ) |

References allTiles_, grk::grk_read(), lastTileToDecompress_, tilesToDecompress_, and grk::grk_rect< T >::width().

Referenced by grk::CodeStreamDecompress::decompressTile(), init(), and schedule().

## schedule() [3/3]

void grk::TileSet::schedule | ( | uint16_t | tileIndex | ) |

References lastTileToDecompress_, and tilesToDecompress_.

## setComplete()

void grk::TileSet::setComplete | ( | uint16_t | tileIndex | ) |

References isScheduled(), and tilesDecompressed_.

Referenced by grk::DecompressorState::setComplete().

## Member Data Documentation

## allTiles_

grk_rect16 grk::TileSet::allTiles_

private

Referenced by index(), index(), init(), and schedule().

## lastTileToDecompress_

uint16_t grk::TileSet::lastTileToDecompress_

private

Referenced by schedule(), and schedule().

## tilesDecompressed_

std::set<uint16_t> grk::TileSet::tilesDecompressed_

private

Referenced by allComplete(), isComplete(), and setComplete().

## tilesToDecompress_

std::set<uint16_t> grk::TileSet::tilesToDecompress_

private

Referenced by allComplete(), getSingle(), isScheduled(), numScheduled(), schedule(), and schedule().

The documentation for this class was generated from the following files:

- TileSet.h
- TileSet.cpp